# InlineFunctor Class Reference

A base class to derive functors from for the InlineFunctorProcessor system. More...

`#include <InlineFunctor.h>`

Inheritance diagram for InlineFunctor:

List of all members.

## Protected Member Functions
virtual void | HandleResult (bool wasCancelled, void *context)
| Called from FunctionThread::CallResultHandlers with wasCancelled false OR Called from FunctionThread::StopThread or FunctionThread::~FunctionThread with wasCancelled true.
## Protected Attributes
int | callDepth
| Tracks the call depth when this functor was pushed. It allows the system to return from functions in the correct order.
InlineFunctorProcessor * | ifp
| Pointer to the calling instance of InlineFunctorProcessor.
## Friends
class | InlineFunctorProcessor

## Detailed Description

A base class to derive functors from for the InlineFunctorProcessor system.

## Member Function Documentation

virtual void InlineFunctor::HandleResult | ( | bool | wasCancelled,
|  | void * | context |
| ) |  |  | `[protected, virtual]`

Called from FunctionThread::CallResultHandlers with wasCancelled false OR Called from FunctionThread::StopThread or FunctionThread::~FunctionThread with wasCancelled true.

Parameters:

  `[in]` | wasCancelledTrue | if CallResultHandlers was called, false if StopThreads or CancelInputWithContext was called before Functor::Process()
  `[in]` | context | pointer passed to FunctionThread::Push::context

Implements RakNet::Functor.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/InlineFunctor.h